#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "UdpDevice.h"
#include <QMainWindow>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
		Q_OBJECT

	public:
		explicit MainWindow(QWidget *parent = 0);
		~MainWindow();

	public slots:
		void showMessage(QString mess);
		void showError(QString mess);
		void showSended(QString mess);
		void showReceived(QString mess);

		void openPort();
		void sendCommand();
		void readResponse();

	private:
		Ui::MainWindow *ui;
		UdpDevice* device;
};

#endif // MAINWINDOW_H
